Main Page Widgets Namespaces Book

# Gtk::Menu_Helpers::MenuElem Class Reference
[Menu classes]

Inheritance diagram for Gtk::Menu_Helpers::MenuElem:

[legend]

List of all members.

## Detailed Description

Use this class and its subclasses to build menu items.

For example,

     m_Menu_File.items().push_back( Gtk::Menu_Helpers::MenuElem("_New",
       sigc::mem_fun(*this, &ExampleWindow::on_menu_file_new) ) );

## Public Member Functions

| MenuElem (const Glib::ustring& label, const AccelKey& key, Gtk::Menu& submenu)
| Create a labeled, accelerated MenuItem with a submenu.
| MenuElem (const Glib::ustring& label, Gtk::Menu& submenu)
| Create a labeled, non-accelerated MenuItem with a submenu.
| MenuElem (const Glib::ustring& label, const AccelKey& key, const CallSlot& slot=CallSlot())
| Create a labeled, accelerated MenuItem with a sigc::slot.
| MenuElem (const Glib::ustring& label, const CallSlot& slot=CallSlot())
| Create a labeled, non-accelerated MenuItem with a sigc::slot.
| MenuElem (MenuItem& child)

## Constructor & Destructor Documentation

Gtk::Menu_Helpers::MenuElem::MenuElem | ( | MenuItem& | child | ) |

Gtk::Menu_Helpers::MenuElem::MenuElem | ( | const Glib::ustring & | label,
|  | const CallSlot& | slot = `CallSlot()` |
| ) |  |  |

Create a labeled, non-accelerated MenuItem with a sigc::slot.

Parameters:

  | label | The menu item's name
  | slot | Use sigc::mem_fun() to specify a signal handler

Gtk::Menu_Helpers::MenuElem::MenuElem | ( | const Glib::ustring & | label,
|  | const AccelKey& | key,
|  | const CallSlot& | slot = `CallSlot()` |
| ) |  |  |

Create a labeled, accelerated MenuItem with a sigc::slot.

Parameters:

  | label | The menu item's name
  | key | The accelerator key combination
  | slot | Use sigc::mem_fun() to specify a signal handler

Gtk::Menu_Helpers::MenuElem::MenuElem | ( | const Glib::ustring & | label,
|  | Gtk::Menu& | submenu |
| ) |  |  |

Create a labeled, non-accelerated MenuItem with a submenu.

Parameters:

  | label | The menu item's name
  | submenu | The sub menu

Gtk::Menu_Helpers::MenuElem::MenuElem | ( | const Glib::ustring & | label,
|  | const AccelKey& | key,
|  | Gtk::Menu& | submenu |
| ) |  |  |

Create a labeled, accelerated MenuItem with a submenu.

Parameters:

  | label | The menu item's name
  | key | The accelerator key combination
  | submenu | The sub menu

The documentation for this class was generated from the following file:

- menu_elems.h